Create a new credential template. Can be created from scratch or from a preset.
curl --request POST \
--url https://test.didxtech.com/me-creds/api/v1/templates/credentials \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"credentialFormat": "preset",
"presetId": "didx:basic-identity"
}
'import requests
url = "https://test.didxtech.com/me-creds/api/v1/templates/credentials"
payload = {
"credentialFormat": "preset",
"presetId": "didx:basic-identity"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({credentialFormat: 'preset', presetId: 'didx:basic-identity'})
};
fetch('https://test.didxtech.com/me-creds/api/v1/templates/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"name": "My SD-JWT VC template",
"description": "This is a description",
"attributes": {
"myAttribute": {
"type": "string",
"name": "My attribute",
"description": "This is a attribute",
"required": true,
"alwaysDisclosed": false
}
},
"createdAt": "2025-02-20T11:27:37.051Z",
"updatedAt": "2025-02-20T11:27:37.051Z",
"archivedAt": null,
"format": "sd-jwt-vc",
"id": "6421a8905c17830c188e2e2f",
"type": "https://test.didxtech.com/vct/acme-university/UniversityCard"
},
"links": {
"self": "<string>",
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>",
"related": "<string>"
},
"meta": {},
"errors": [
{
"detail": "<string>",
"id": "<string>",
"status": "<string>",
"code": "<string>",
"title": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}Credential Templates API
Create a new credential template. Can be created from scratch or from a preset (v1)
POST
/
v1
/
templates
/
credentials
Create a new credential template. Can be created from scratch or from a preset.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Created credential template.
- Option 1
- Option 2
Show child attributes
Show child attributes
Example:
{
"name": "My SD-JWT VC template",
"description": "This is a description",
"attributes": {
"myAttribute": {
"type": "string",
"name": "My attribute",
"description": "This is a attribute",
"required": true,
"alwaysDisclosed": false
}
},
"createdAt": "2025-02-20T11:27:37.051Z",
"updatedAt": "2025-02-20T11:27:37.051Z",
"archivedAt": null,
"format": "sd-jwt-vc",
"id": "6421a8905c17830c188e2e2f",
"type": "https://test.didxtech.com/vct/acme-university/UniversityCard"
}
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Create a new credential template. Can be created from scratch or from a presetCreate a new mDoc credential template. Can be created from scratch or from a preset
⌘I

